;; -*- mode: emacs-lisp -*-
;; This file is loaded by Spacemacs at startup.
;; It must be stored in your home directory.

;; Set UTF-8 by default
(set-language-environment "UTF-8")
(set-default-coding-systems 'utf-8)

(load-file "~/.spacemacs.d/ligatures.el")
(load-file "~/.spacemacs.d/spacemacs-layers.el")
(load-file "~/.spacemacs.d/spacemacs-init.el")
(load-file "~/.spacemacs.d/spacemacs-user-init.el")
(load-file "~/.spacemacs.d/spacemacs-user-config.el")

(custom-set-variables
 ;; custom-set-variables was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(ecb-auto-activate t)
 '(ecb-auto-expand-tag-tree (quote all))
 '(ecb-auto-update-methods-after-save t)
 '(ecb-methods-nodes-collapse-spec nil)
 '(ecb-non-semantic-methods-initial-expand nil)
 '(ecb-options-version "2.50")
 '(ecb-show-only-positioned-tags t)
 '(ecb-show-tags
   (quote
    ((default
       (include collapsed nil)
       (parent expanded nil)
       (type expanded nil)
       (variable expanded access)
       (function expanded access)
       (label expanded nil)
       (t expanded nil)
       (alias hidden nil))
     (c++-mode
      (include collapsed nil)
      (parent collapsed nil)
      (type flattened nil)
      (variable collapsed access)
      (function flattened access)
      (function collapsed access)
      (label hidden nil)
      (t collapsed nil))
     (c-mode
      (include collapsed nil)
      (parent collapsed nil)
      (type flattened nil)
      (variable collapsed access)
      (function flattened access)
      (function collapsed access)
      (label hidden nil)
      (t collapsed nil))
     (bovine-grammar-mode
      (keyword collapsed name)
      (token collapsed name)
      (nonterminal flattened name)
      (rule flattened name)
      (t collapsed nil))
     (wisent-grammar-mode
      (keyword collapsed name)
      (token collapsed name)
      (nonterminal flattened name)
      (rule flattened name)
      (t collapsed nil))
     (texinfo-mode
      (section flattened nil)
      (def collapsed name)
      (t collapsed nil)))))
 '(ecb-tip-of-the-day nil)
 '(ecb-tree-navigation-by-arrow nil)
 '(ecb-primary-secondary-mouse-buttons (quote mouse-1--C-mouse-1))
 )
